/**
 * java.sql.ResultSetのスタブクラス。
 * @author StubGenerator by arton.
 */
public class StubResultSet implements java.sql.ResultSet {
    public StubResultSet() {
    }
    public void clearWarnings()
         throws java.sql.SQLException {
    }
    public int getHoldability()
         throws java.sql.SQLException {
        return (int)0;
    }
    public java.sql.ResultSetMetaData getMetaData()
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.SQLWarning getWarnings()
         throws java.sql.SQLException {
        return null;
    }
    public java.io.InputStream getBinaryStream(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.io.InputStream getBinaryStream(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.io.InputStream getAsciiStream(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.io.InputStream getAsciiStream(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public int getFetchDirection()
         throws java.sql.SQLException {
        return (int)0;
    }
    public int getFetchSize()
         throws java.sql.SQLException {
        return (int)0;
    }
    public void setFetchDirection(int a0)
         throws java.sql.SQLException {
    }
    public void setFetchSize(int a0)
         throws java.sql.SQLException {
    }
    public java.sql.Blob getBlob(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Blob getBlob(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Clob getClob(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Clob getClob(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.io.Reader getNCharacterStream(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.io.Reader getNCharacterStream(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.NClob getNClob(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.NClob getNClob(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.lang.String getNString(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.lang.String getNString(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.RowId getRowId(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.RowId getRowId(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.SQLXML getSQLXML(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.SQLXML getSQLXML(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public boolean wasNull()
         throws java.sql.SQLException {
        return false;
    }
    public boolean absolute(int a0)
         throws java.sql.SQLException {
        return false;
    }
    public void afterLast()
         throws java.sql.SQLException {
    }
    public void beforeFirst()
         throws java.sql.SQLException {
    }
    public void cancelRowUpdates()
         throws java.sql.SQLException {
    }
    public void deleteRow()
         throws java.sql.SQLException {
    }
    public int getConcurrency()
         throws java.sql.SQLException {
        return (int)0;
    }
    public java.lang.String getCursorName()
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Statement getStatement()
         throws java.sql.SQLException {
        return null;
    }
    public java.io.InputStream getUnicodeStream(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.io.InputStream getUnicodeStream(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public boolean isAfterLast()
         throws java.sql.SQLException {
        return false;
    }
    public boolean isBeforeFirst()
         throws java.sql.SQLException {
        return false;
    }
    public boolean isLast()
         throws java.sql.SQLException {
        return false;
    }
    public void moveToCurrentRow()
         throws java.sql.SQLException {
    }
    public void moveToInsertRow()
         throws java.sql.SQLException {
    }
    public void refreshRow()
         throws java.sql.SQLException {
    }
    public boolean relative(int a0)
         throws java.sql.SQLException {
        return false;
    }
    public boolean rowDeleted()
         throws java.sql.SQLException {
        return false;
    }
    public boolean rowInserted()
         throws java.sql.SQLException {
        return false;
    }
    public boolean rowUpdated()
         throws java.sql.SQLException {
        return false;
    }
    public void updateArray(int a0, java.sql.Array a1)
         throws java.sql.SQLException {
    }
    public void updateArray(java.lang.String a0, java.sql.Array a1)
         throws java.sql.SQLException {
    }
    public void updateAsciiStream(int a0, java.io.InputStream a1)
         throws java.sql.SQLException {
    }
    public void updateAsciiStream(java.lang.String a0, java.io.InputStream a1)
         throws java.sql.SQLException {
    }
    public void updateAsciiStream(java.lang.String a0, java.io.InputStream a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateAsciiStream(int a0, java.io.InputStream a1, int a2)
         throws java.sql.SQLException {
    }
    public void updateAsciiStream(int a0, java.io.InputStream a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateAsciiStream(java.lang.String a0, java.io.InputStream a1, int a2)
         throws java.sql.SQLException {
    }
    public void updateBigDecimal(java.lang.String a0, java.math.BigDecimal a1)
         throws java.sql.SQLException {
    }
    public void updateBigDecimal(int a0, java.math.BigDecimal a1)
         throws java.sql.SQLException {
    }
    public void updateBinaryStream(java.lang.String a0, java.io.InputStream a1)
         throws java.sql.SQLException {
    }
    public void updateBinaryStream(java.lang.String a0, java.io.InputStream a1, int a2)
         throws java.sql.SQLException {
    }
    public void updateBinaryStream(int a0, java.io.InputStream a1, int a2)
         throws java.sql.SQLException {
    }
    public void updateBinaryStream(java.lang.String a0, java.io.InputStream a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateBinaryStream(int a0, java.io.InputStream a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateBinaryStream(int a0, java.io.InputStream a1)
         throws java.sql.SQLException {
    }
    public void updateBlob(int a0, java.io.InputStream a1)
         throws java.sql.SQLException {
    }
    public void updateBlob(java.lang.String a0, java.io.InputStream a1)
         throws java.sql.SQLException {
    }
    public void updateBlob(int a0, java.io.InputStream a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateBlob(java.lang.String a0, java.sql.Blob a1)
         throws java.sql.SQLException {
    }
    public void updateBlob(java.lang.String a0, java.io.InputStream a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateBlob(int a0, java.sql.Blob a1)
         throws java.sql.SQLException {
    }
    public void updateBoolean(java.lang.String a0, boolean a1)
         throws java.sql.SQLException {
    }
    public void updateBoolean(int a0, boolean a1)
         throws java.sql.SQLException {
    }
    public void updateByte(java.lang.String a0, byte a1)
         throws java.sql.SQLException {
    }
    public void updateByte(int a0, byte a1)
         throws java.sql.SQLException {
    }
    public void updateCharacterStream(java.lang.String a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void updateCharacterStream(int a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateCharacterStream(int a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void updateCharacterStream(java.lang.String a0, java.io.Reader a1, int a2)
         throws java.sql.SQLException {
    }
    public void updateCharacterStream(java.lang.String a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateCharacterStream(int a0, java.io.Reader a1, int a2)
         throws java.sql.SQLException {
    }
    public void updateClob(java.lang.String a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void updateClob(java.lang.String a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateClob(int a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateClob(java.lang.String a0, java.sql.Clob a1)
         throws java.sql.SQLException {
    }
    public void updateClob(int a0, java.sql.Clob a1)
         throws java.sql.SQLException {
    }
    public void updateClob(int a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void updateDate(int a0, java.sql.Date a1)
         throws java.sql.SQLException {
    }
    public void updateDate(java.lang.String a0, java.sql.Date a1)
         throws java.sql.SQLException {
    }
    public void updateDouble(int a0, double a1)
         throws java.sql.SQLException {
    }
    public void updateDouble(java.lang.String a0, double a1)
         throws java.sql.SQLException {
    }
    public void updateFloat(java.lang.String a0, float a1)
         throws java.sql.SQLException {
    }
    public void updateFloat(int a0, float a1)
         throws java.sql.SQLException {
    }
    public void updateInt(int a0, int a1)
         throws java.sql.SQLException {
    }
    public void updateInt(java.lang.String a0, int a1)
         throws java.sql.SQLException {
    }
    public void updateLong(int a0, long a1)
         throws java.sql.SQLException {
    }
    public void updateLong(java.lang.String a0, long a1)
         throws java.sql.SQLException {
    }
    public void updateNCharacterStream(java.lang.String a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void updateNCharacterStream(int a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void updateNCharacterStream(int a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateNCharacterStream(java.lang.String a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateNClob(java.lang.String a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateNClob(int a0, java.sql.NClob a1)
         throws java.sql.SQLException {
    }
    public void updateNClob(java.lang.String a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void updateNClob(int a0, java.io.Reader a1)
         throws java.sql.SQLException {
    }
    public void updateNClob(java.lang.String a0, java.sql.NClob a1)
         throws java.sql.SQLException {
    }
    public void updateNClob(int a0, java.io.Reader a1, long a2)
         throws java.sql.SQLException {
    }
    public void updateNString(int a0, java.lang.String a1)
         throws java.sql.SQLException {
    }
    public void updateNString(java.lang.String a0, java.lang.String a1)
         throws java.sql.SQLException {
    }
    public void updateNull(java.lang.String a0)
         throws java.sql.SQLException {
    }
    public void updateNull(int a0)
         throws java.sql.SQLException {
    }
    public void updateObject(java.lang.String a0, java.lang.Object a1, int a2)
         throws java.sql.SQLException {
    }
    public void updateObject(java.lang.String a0, java.lang.Object a1)
         throws java.sql.SQLException {
    }
    public void updateObject(int a0, java.lang.Object a1, int a2)
         throws java.sql.SQLException {
    }
    public void updateObject(int a0, java.lang.Object a1)
         throws java.sql.SQLException {
    }
    public void updateRef(java.lang.String a0, java.sql.Ref a1)
         throws java.sql.SQLException {
    }
    public void updateRef(int a0, java.sql.Ref a1)
         throws java.sql.SQLException {
    }
    public void updateRow()
         throws java.sql.SQLException {
    }
    public void updateRowId(int a0, java.sql.RowId a1)
         throws java.sql.SQLException {
    }
    public void updateRowId(java.lang.String a0, java.sql.RowId a1)
         throws java.sql.SQLException {
    }
    public void updateSQLXML(int a0, java.sql.SQLXML a1)
         throws java.sql.SQLException {
    }
    public void updateSQLXML(java.lang.String a0, java.sql.SQLXML a1)
         throws java.sql.SQLException {
    }
    public void updateShort(int a0, short a1)
         throws java.sql.SQLException {
    }
    public void updateShort(java.lang.String a0, short a1)
         throws java.sql.SQLException {
    }
    public void updateString(java.lang.String a0, java.lang.String a1)
         throws java.sql.SQLException {
    }
    public void updateString(int a0, java.lang.String a1)
         throws java.sql.SQLException {
    }
    public void updateTimestamp(java.lang.String a0, java.sql.Timestamp a1)
         throws java.sql.SQLException {
    }
    public void updateTimestamp(int a0, java.sql.Timestamp a1)
         throws java.sql.SQLException {
    }
    public java.lang.Object getObject(java.lang.String a0, java.util.Map a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.lang.Object getObject(int a0, java.util.Map a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.lang.Object getObject(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.lang.Object getObject(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public boolean getBoolean(java.lang.String a0)
         throws java.sql.SQLException {
        return false;
    }
    public boolean getBoolean(int a0)
         throws java.sql.SQLException {
        return false;
    }
    public byte getByte(int a0)
         throws java.sql.SQLException {
        return (byte)0;
    }
    public byte getByte(java.lang.String a0)
         throws java.sql.SQLException {
        return (byte)0;
    }
    public short getShort(java.lang.String a0)
         throws java.sql.SQLException {
        return (short)0;
    }
    public short getShort(int a0)
         throws java.sql.SQLException {
        return (short)0;
    }
    public int getInt(int a0)
         throws java.sql.SQLException {
        return (int)0;
    }
    public int getInt(java.lang.String a0)
         throws java.sql.SQLException {
        return (int)0;
    }
    public long getLong(int a0)
         throws java.sql.SQLException {
        return (long)0;
    }
    public long getLong(java.lang.String a0)
         throws java.sql.SQLException {
        return (long)0;
    }
    public float getFloat(int a0)
         throws java.sql.SQLException {
        return (float)0;
    }
    public float getFloat(java.lang.String a0)
         throws java.sql.SQLException {
        return (float)0;
    }
    public double getDouble(int a0)
         throws java.sql.SQLException {
        return (double)0;
    }
    public double getDouble(java.lang.String a0)
         throws java.sql.SQLException {
        return (double)0;
    }
    public byte[] getBytes(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public byte[] getBytes(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Array getArray(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Array getArray(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public boolean next()
         throws java.sql.SQLException {
        return false;
    }
    public java.net.URL getURL(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.net.URL getURL(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public void close()
         throws java.sql.SQLException {
    }
    public int getType()
         throws java.sql.SQLException {
        return (int)0;
    }
    public boolean previous()
         throws java.sql.SQLException {
        return false;
    }
    public java.lang.String getString(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.lang.String getString(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public boolean isFirst()
         throws java.sql.SQLException {
        return false;
    }
    public java.sql.Ref getRef(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Ref getRef(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Date getDate(int a0, java.util.Calendar a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Date getDate(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Date getDate(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Date getDate(java.lang.String a0, java.util.Calendar a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Time getTime(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Time getTime(int a0, java.util.Calendar a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Time getTime(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Time getTime(java.lang.String a0, java.util.Calendar a1)
         throws java.sql.SQLException {
        return null;
    }
    public boolean first()
         throws java.sql.SQLException {
        return false;
    }
    public boolean last()
         throws java.sql.SQLException {
        return false;
    }
    public boolean isClosed()
         throws java.sql.SQLException {
        return false;
    }
    public java.sql.Timestamp getTimestamp(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Timestamp getTimestamp(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Timestamp getTimestamp(int a0, java.util.Calendar a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.sql.Timestamp getTimestamp(java.lang.String a0, java.util.Calendar a1)
         throws java.sql.SQLException {
        return null;
    }
    public void updateTime(int a0, java.sql.Time a1)
         throws java.sql.SQLException {
    }
    public void updateTime(java.lang.String a0, java.sql.Time a1)
         throws java.sql.SQLException {
    }
    public java.math.BigDecimal getBigDecimal(int a0, int a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.math.BigDecimal getBigDecimal(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.math.BigDecimal getBigDecimal(java.lang.String a0, int a1)
         throws java.sql.SQLException {
        return null;
    }
    public java.math.BigDecimal getBigDecimal(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public void updateBytes(java.lang.String a0, byte[] a1)
         throws java.sql.SQLException {
    }
    public void updateBytes(int a0, byte[] a1)
         throws java.sql.SQLException {
    }
    public int getRow()
         throws java.sql.SQLException {
        return (int)0;
    }
    public java.io.Reader getCharacterStream(java.lang.String a0)
         throws java.sql.SQLException {
        return null;
    }
    public java.io.Reader getCharacterStream(int a0)
         throws java.sql.SQLException {
        return null;
    }
    public int findColumn(java.lang.String a0)
         throws java.sql.SQLException {
        return (int)0;
    }
    public void insertRow()
         throws java.sql.SQLException {
    }
    public boolean isWrapperFor(java.lang.Class a0)
         throws java.sql.SQLException {
        return false;
    }
    public java.lang.Object unwrap(java.lang.Class a0)
         throws java.sql.SQLException {
        return null;
    }
}
